package com.guams.review.model.dao;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.sql.Timestamp;

@Getter
@Setter
@Accessors(chain = true)

@Table(name = "comment")
public class Comment {
    @Id
    Long id;
    @Column("content")
    String content;
    @Column("comment_date")
    Timestamp commentDate;
    @Column("is_updated")
    Boolean isUpdated;
}
