package com.guams.review.model.dao;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.util.UUID;

@Getter
@Setter
@Accessors(chain = true)
@Table("comment_association")
public class CommentIds {

    @Id
    Long postId;
    @Column("comment_fk")
    Long commentId;
    @Column("author_fk")
    UUID authorId;
    String content;
}
