package com.guams.review.model.dao;

import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.sql.Timestamp;

@Getter
@Setter
@Accessors(chain = true)
@Table(name = "post")
public class Post {
    @Id
    Long id;
    @Column("description")
    String description;
    @Column("illustration")
    byte[] illustration;
    @Column("title")
    String title;
    @Column("body")
    String body;
    @Column("category")
    String category;
    @Column("publication_date")
    Timestamp publicationDate;
    @Column("is_updated")
    Boolean isUpdated;

}
