package com.guams.review.model.dao;


import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.util.UUID;


@Getter
@Setter
@Accessors(chain = true)
@Table(name = "author")
public class Author {

    @Id
    UUID id;

    @Column("name")
    String name;

    @Column("password")
    String password;

    @Column("profile_picture")
    byte[] profilePicture;

    @Column("role")
    String role;

}
